Favicon

You are here: Home > API Reference > Android > Android Devices Notifications > Notify emmDevice

Notify emmDevice

Required Permission: mdm.android.deviceNotification.action

Notify emmDevice

POST
/v1/organizations/:organizationId/mdm/android/enterprise/devices/:emmDeviceId/notifications/
Copy to clipboard

Notify emmDevice

Required Permission: mdm.android.deviceNotification.action

Notify emmDevice

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
emmDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$
Body Params application/json
appName string required
remoteSupport
action string required
call calibration
{
    "appName": "remoteSupport",
    "action": "call"
}

Responses

200 Response application/json
status boolean optional
data object optional
status string required
done
action string optional
call calibration
appName string optional
remoteSupport
{
    "status": true,
    "data": {
        "status": "done",
        "action": "call",
        "appName": "remoteSupport"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}